Foreman - Bug #12425

Fact import triggers ip conflicts checks, which drives cpu utilization to 100% on smart-proxy
11/09/2015 11:13 AM - Anonymous

Status: Closed
Priority: Normal
Assignee: Timo Goebel
Category: Orchestration
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1341860 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3471
Description

This is an expensive call, and performing lots of them has a serious impact on smart-proxy. See
http://projects.theforeman.org/issues/12392 for more details and discussion.

Related issues:

Related to Smart Proxy - Bug #12392: 100% cpu usage on foreman-proxy DHCP calls Resolved 11/04/2015
Related to Foreman - Bug #13725: Orchestration fails with 409 when there is a... Closed 02/16/2016
Related to Foreman - Bug #15306: Orchestration does not roll back queued acti... Closed 06/06/2016

Associated revisions

Revision 5351¢86f - 05/17/2016 05:01 AM - Timo Goebel

fixes #12425 - do not trigger orchestration during fact import

History

#1 - 11/09/2015 11:14 AM - Anonymous
- Related to Bug #12392: 100% cpu usage on foreman-proxy DHCP calls added

#2 - 11/09/2015 11:14 AM - Anonymous

- Category set to Orchestration

#3 - 11/10/2015 03:04 AM - Dominic Cleal
From #12392, Dmitri says:

It might be possible to set some flag indicating that fact import is in progress, but it's going to be messy.
When saving hosts during fact/report importing we use .save(:validate => false) - not really in an attempt to disable validation, but to disable
orchestration (as | understand it). The same isn't done for saving network interfaces, and now that orchestration's in those models, it's running.

If we had a flag to disable orchestration generally instead of disabling validation, we might be able to keep validation on NICs (something we really
shouldn't go backwards on by disabling) while disabling orchestration changes at a high level?

#4 - 02/25/2016 08:12 AM - Toni Schmidbauer

setting ignore_puppet_facts_for_provisioning to true resolved this issue for us.

#5 - 04/27/2016 04:36 AM - Timo Goebel
https://github.com/theforeman/foreman/commit/4c9529¢7bc3c081fb3d0bfdbee09b2e7d6eabcOa#diff-5596b03372d6df756203e6c69444742

Makes this worse as Foreman now does two calls to smart-proxy during fact import effectively doubling the load.

#6 - 04/27/2016 06:00 AM - The Foreman Bot
- Status changed from New to Ready For Testing
https://github.com/theforeman/foreman/commit/4c9529c7bc3c081fb3d0bfdbee09b2e7d6eabc0a#diff-5e596b03372d6df756203e6c69444742

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/3471 added

#7 - 04/27/2016 06:16 AM - Anonymous

If you are using ISC dhcpd, | would suggest testing import against changes in https:/github.com/theforeman/smart-proxy/pull/409, calls to
smart-proxy's dhcp module (when used with ISC dhcpd) no longer incur heavy penalty.

#8 - 04/28/2016 06:28 AM - Dominic Cleal
- Related to Bug #13725: Orchestration fails with 409 when there is a MAC DHCP conflict added

#9 - 05/17/2016 06:06 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5351c86f9e066fdfae8687e512d35c1fe3e4336f.

#10 - 05/18/2016 04:44 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#11 - 06/01/2016 06:22 PM - Brad Buckingham
- Bugzilla link set to 1341860

#12 - 02/13/2020 02:45 PM - Lukas Zapletal

- Related to Bug #15306: Orchestration does not roll back queued actions if DB error occurs added

#13 - 02/13/2020 02:47 PM - Lukas Zapletal
- Triaged set to No

The misbehavior was re-introduced by #15306 fyi. If that's important to you, check it.

#14 - 02/13/2020 02:49 PM - Lukas Zapletal

Oh | take it back, it resolves the issue.
